﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/Project_PRN221_1.styles.css" asp-append-version="true" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<script>
    function filter(categoryName) {
        $.ajax({
            url: '/Index',
            type: 'POST',
            data: { category: categoryName },
            success: function (data) {
                $('#content').html(data);
            },
            error: function () {
                alert('Error occurred while loading data.');
            }
        });
    }
</script>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" href="/Index">NewsG</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    @foreach (var item in Model.Categories)
                    {
                        <li class="nav-item">
                            <a id="category-@item.CategoryId" class="nav-link" href="/Index?category=@item.CategoryName" >@item.CategoryName</a>
                        </li>
                    }
                </ul>
            </div>
        </div>
    </nav>

    <div class="container-fluid" style="padding: 0">
        <main role="main" class="row">
            <div class="col-md-12">
                @RenderBody()
            </div>
        </main>
    </div>

    <!-- Footer -->
    <footer class="bg-dark text-white mt-5">
        <div class="container text-center">
            <p>All copy right of 2024 NewsG</p>
        </div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>